# Copyright (C) 2013-2016 Freescale Semiconductor
# Copyright 2017 NXP
# Released under the MIT license (see COPYING.MIT for the terms)

SUMMARY = "Linux Kernel for SMARC-FiMX6 and supported by Embedian"
DESCRIPTION = "Linux Kernel provided and supported by Embedian with focus on \
SMARC-FiMX6 Family Computer on Modules. It includes support for many IPs such as GPU, VPU and IPU."

require recipes-kernel/linux/linux-imx.inc
require recipes-kernel/linux/linux-dtb.inc

DEPENDS += "lzop-native bc-native"

SRCBRANCH = "smarc-imx_4.9.11_1.0.0_ga"

SRC_URI = "${EMB_KERNEL_MIRROR};protocol=ssh;branch=${SRCBRANCH} \
        file://defconfig \
"

SRCREV = "02e1c8b441b4371d347e9007088d385989b56465"
PV = "4.9.11"
LOCALVERSION = "-1.0.1_smarc"

DEFAULT_PREFERENCE = "1"

COMPATIBLE_MACHINE = "(mx6|mx7|imx6q1gsmarc|imx6q2gsmarc|imx6u1gsmarc|imx6solosmarc|imx6qp1gsmarc|imx6qp2gsmarc)"
EXTRA_OEMAKE_append_mx6 = " ARCH=arm"
EXTRA_OEMAKE_append_mx7 = " ARCH=arm"
